// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

public interface MessageEnvelopeDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.messaging.dtos.MessageEnvelopeDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string operation_name = 1;</code>
   */
  java.lang.String getOperationName();
  /**
   * <code>optional string operation_name = 1;</code>
   */
  com.google.protobuf.ByteString
      getOperationNameBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
   */
  boolean hasTimestamp();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getTimestamp();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimestampOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
   */
  boolean hasPayload();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
   */
  com.accelfin.server.messaging.dtos.AnyDto getPayload();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
   */
  com.accelfin.server.messaging.dtos.AnyDtoOrBuilder getPayloadOrBuilder();

  /**
   * <code>optional bool has_completed = 4;</code>
   */
  boolean getHasCompleted();

  /**
   * <code>optional string error = 5;</code>
   */
  java.lang.String getError();
  /**
   * <code>optional string error = 5;</code>
   */
  com.google.protobuf.ByteString
      getErrorBytes();

  /**
   * <code>optional string correlation_id = 6;</code>
   */
  java.lang.String getCorrelationId();
  /**
   * <code>optional string correlation_id = 6;</code>
   */
  com.google.protobuf.ByteString
      getCorrelationIdBytes();

  /**
   * <code>optional string session_id = 7;</code>
   */
  java.lang.String getSessionId();
  /**
   * <code>optional string session_id = 7;</code>
   */
  com.google.protobuf.ByteString
      getSessionIdBytes();

  /**
   * <code>optional string sender_id = 8;</code>
   */
  java.lang.String getSenderId();
  /**
   * <code>optional string sender_id = 8;</code>
   */
  com.google.protobuf.ByteString
      getSenderIdBytes();
}
